export type IString = IStringCustom & String & string;
export interface IStringCustom extends String {
    replaceAt: (index: number, replacement: string) => string;
    replaceAll: (index: number, separator: string, replacement: string) => string;
    occurrencesByCharacter: (character: string) => number;
    indexesOfCharacter: (character: string) => Array<number>;
    indexesByString: (character: string) => Array<number>;
}
